//Simple linear regression example with additional sections
//For ADMB Short Course 1, August 2007
//Created by D. Fournier, modified by B. Linton

//Any text after "//" is ignored

DATA_SECTION
//Read in data from simple.dat
  init_int nobs   //number of observations
  init_vector Y(1,nobs)   //observed Y values
  init_vector x(1,nobs)   //observed x values
  init_number test  //data reading test values
//!!cout << "Check to make sure data reads in correctly" << endl;
//!!exit(88);

 LOCAL_CALCS
  //Characters within " " are treated as text
  //cout << "Check to make sure data reads in correctly"  << endl;
  //cout << test << endl;
  //exit(88);
 END_CALCS

PARAMETER_SECTION
//Parameters to be estimated
  init_number a   //slope parameter 
  init_number b   //intercept parameter 

//Quantities calculated from parameters  
  vector pred_Y(1,nobs)

//Value to be minimized by ADMB
  objective_function_value rss   //residual sum of squares

INITIALIZATION_SECTION
//Set initial values for parameters
  a 2
  b 4

PROCEDURE_SECTION
//Simple linear model gives predicted Y values
  pred_Y=a*x+b;

//Parameter estimates obtained by minimizing 
//objective function value (residual sum of squares)
  rss=norm2(Y-pred_Y);   //norm2(x)=x1^2+x2^2+...+xn^2  

  cout << a << " " << b << " " << rss << endl;

REPORT_SECTION
//Output written to simple.rep
  report << "Observed Y" << endl;
  report << Y << endl;
  report << "Predicted Y" << endl;
  report << pred_Y << endl;
