
DATA_SECTION
  init_int nobs
  init_vector data(1,nobs)

PARAMETER_SECTION
  init_number lnmu
  init_number lnsigma
  number mu
  number rss
  number sigma

  objective_function_value neg_LL

PROCEDURE_SECTION
  mu=exp(lnmu);
  sigma=exp(lnsigma);
  rss=norm2(log(data)-mu);
  neg_LL = nobs*sum(log(data))+nobs*log(sigma)+(0.5/square(sigma))*rss;

REPORT_SECTION
  report << "Estimate of mu: " << mu << endl;
  report << "Estimate of sigma: " << sigma << endl;
