
DATA_SECTION
  init_int nobs
  init_vector data(1,nobs)

PARAMETER_SECTION
  init_bounded_number log_mu(2,3)
  init_bounded_number log_sigma(0,4)
  sdreport_number mu
  sdreport_number sigma
  number rss

  objective_function_value neg_LL

INITIALIZATION_SECTION
  log_mu 2.48
  log_sigma 1.60

PROCEDURE_SECTION
  mu=exp(log_mu);
  sigma=exp(log_sigma);
  rss=norm2(log(data)-mu);
  neg_LL = nobs*sum(log(data))+nobs*log(sigma)+(0.5/square(sigma))*rss;


REPORT_SECTION
  report << "Estimate of mu: " << mu << endl;
  report << "Estimate of sigma: " << sigma << endl;
