//Piecewise regression example
//For MN ADMB Short Course
//Data is from Maceina 2007

//Any text after "//" is ignored

DATA_SECTION
//Read data in from simple.dat
  init_int nobs   //number of observations
  init_matrix data(1,nobs,1,2)
  init_vector test(1,3)
  vector lncatch_age(1,nobs)
  vector age(1,nobs)
  vector v(1,nobs)
  number v1
  int iage
//!!cout << test << endl;
//!!exit(99);

PARAMETER_SECTION
//Parameters to be estimated
  init_number B0   //intercept parameter 
  init_number B1  //slope1  parameter
  init_number B2  //slope2 parameter
  init_bounded_number knot(3.0,25.0)
  vector pred_Y(1,nobs)   //predicted Y values
  sdreport_number mcmcknot

//Value to be minimized by ADMB
  objective_function_value conc_L   //concentr

PRELIMINARY_CALCS_SECTION
  random_number_generator r(782);
  v.fill_randu(r);
  v1=randn(r);
  age = column(data,1);
  lncatch_age=log(column(data,2)+1.0);
//cout << lncatch_age << endl;
//exit(999);

INITIALIZATION_SECTION
  B0 7.0
  B1 -0.5
  B2 -0.5
  knot 9.0

PROCEDURE_SECTION
  mcmcknot=knot;
  for(iage=1;iage<=23;iage++)
  {
  if(age(iage)<=knot)
  {
  pred_Y(iage)=B0+ B1*age(iage);
  }
  else
  {
  pred_Y(iage)=B0+B1*knot+B2*(age(iage)-knot);
  }
  }
  conc_L=(nobs/2)*log(norm2(lncatch_age-pred_Y));

  if(mceval_phase())
  {
   cout << mcmcknot << endl;
  }

REPORT_SECTION
 report << "Estimated knot equals " << endl;
 report << knot << endl;
 report << v << endl;
 report << v1 << endl;
