// This program is a Leslie Matrix calculator
DATA_SECTION
  // Input information from .dat file
  init_int nyrs
  init_int nages 
  init_vector N0(1,nages)
  init_matrix A(1,nages,1,nages)
  init_number Test 

  // Containers
  int iyear;
  vector N1(1,nages)
  vector TotN(0,nyrs)
  
  matrix Ns(0,nyrs,1,nages)
 
  vector age1(0,nyrs)
  vector age2(0,nyrs)
  vector age3(0,nyrs)
  vector age4(0,nyrs)

  vector lambda(1,nyrs)
  vector r(1,nyrs)

PARAMETER_SECTION
  init_number dummy 
  objective_function_value f
  
PRELIMINARY_CALCS_SECTION
 cout<< "Test: " << Test <<endl; 

  N1 = A * N0;
  Ns(0)= N0;
  TotN(0) = sum(Ns(0));
 
  for (iyear=0;iyear<nyrs;iyear++)
  {
     Ns(iyear+1) = A * Ns(iyear);
     TotN(iyear+1) = sum(Ns(iyear+1));
     lambda(iyear+1) = TotN(iyear+1)/TotN(iyear);
  }

  
  age1=column(Ns,1);
  age2=column(Ns,2);
  age3=column(Ns,3);
  age4=column(Ns,4);
 
  r=log(lambda);

  cout<< "nyrs: " << nyrs <<endl;
  cout<< "nages: " << nages <<endl;
  cout<<endl; 
  cout<< "A: " << A <<endl;
  cout<<endl;
  cout<< "N0: " << N0 <<endl;
  cout<< "N1: " << N1 <<endl;
  cout<< "Ns: " <<endl;
  cout<< Ns <<endl;
  cout<< "TotN: " << TotN <<endl;
  cout<<endl;
  cout<< "age1: " << age1 <<endl;
  cout<< "age2: " << age2 <<endl;
  cout<< "age3: " << age3 <<endl;
  cout<< "age4: " << age4 <<endl;
  cout<<endl;
  cout<< "lambda: " << lambda <<endl;
  cout<< "r: " << r <<endl;
  
PROCEDURE_SECTION
  f = square(3 - dummy);

